 drivers/block/paride/pcd.c |    2 +-
 drivers/cdrom/cdrom.c      |    6 +++---
 drivers/cdrom/cdu31a.c     |    2 +-
 drivers/cdrom/cm206.c      |    2 +-
 drivers/cdrom/mcd.c        |    2 +-
 drivers/cdrom/mcdx.c       |    2 +-
 drivers/cdrom/sbpcd.c      |    2 +-
 drivers/ide/ide-cd.c       |    2 +-
 drivers/scsi/sr.c          |    2 +-
 include/linux/cdrom.h      |    2 +-
 10 files changed, 12 insertions(+), 12 deletions(-)

diff -puN drivers/block/paride/pcd.c~RD1-cdrom_ioctl-B6 drivers/block/paride/pcd.c
--- 25/drivers/block/paride/pcd.c~RD1-cdrom_ioctl-B6	2003-12-16 20:36:07.000000000 -0800
+++ 25-akpm/drivers/block/paride/pcd.c	2003-12-16 20:36:10.000000000 -0800
@@ -259,7 +259,7 @@ static int pcd_block_ioctl(struct inode 
 				unsigned cmd, unsigned long arg)
 {
 	struct pcd_unit *cd = inode->i_bdev->bd_disk->private_data;
-	return cdrom_ioctl(&cd->info, inode, cmd, arg);
+	return cdrom_ioctl(&cd->info, inode->i_bdev, cmd, arg);
 }
 
 static int pcd_block_media_changed(struct gendisk *disk)
diff -puN drivers/cdrom/cdrom.c~RD1-cdrom_ioctl-B6 drivers/cdrom/cdrom.c
--- 25/drivers/cdrom/cdrom.c~RD1-cdrom_ioctl-B6	2003-12-16 20:36:07.000000000 -0800
+++ 25-akpm/drivers/cdrom/cdrom.c	2003-12-16 20:36:07.000000000 -0800
@@ -1433,14 +1433,14 @@ static int cdrom_read_block(struct cdrom
  * these days. ATAPI / SCSI specific code now mainly resides in
  * mmc_ioct().
  */
-int cdrom_ioctl(struct cdrom_device_info *cdi, struct inode *ip,
+int cdrom_ioctl(struct cdrom_device_info *cdi, struct block_device *bdev,
 		unsigned int cmd, unsigned long arg)
 {
 	struct cdrom_device_ops *cdo = cdi->ops;
 	int ret;
 
 	/* Try the generic SCSI command ioctl's first.. */
-	ret = scsi_cmd_ioctl(ip->i_bdev, cmd, arg);
+	ret = scsi_cmd_ioctl(bdev, cmd, arg);
 	if (ret != -ENOTTY)
 		return ret;
 
@@ -1593,7 +1593,7 @@ int cdrom_ioctl(struct cdrom_device_info
 		cdinfo(CD_DO_IOCTL, "entering CDROM_RESET\n");
 		if (!CDROM_CAN(CDC_RESET))
 			return -ENOSYS;
-		invalidate_bdev(ip->i_bdev, 0);
+		invalidate_bdev(bdev, 0);
 		return cdo->reset(cdi);
 		}
 
diff -puN drivers/cdrom/cdu31a.c~RD1-cdrom_ioctl-B6 drivers/cdrom/cdu31a.c
--- 25/drivers/cdrom/cdu31a.c~RD1-cdrom_ioctl-B6	2003-12-16 20:36:07.000000000 -0800
+++ 25-akpm/drivers/cdrom/cdu31a.c	2003-12-16 20:36:10.000000000 -0800
@@ -3180,7 +3180,7 @@ static int scd_block_release(struct inod
 static int scd_block_ioctl(struct inode *inode, struct file *file,
 				unsigned cmd, unsigned long arg)
 {
-	return cdrom_ioctl(&scd_info, inode, cmd, arg);
+	return cdrom_ioctl(&scd_info, inode->i_bdev, cmd, arg);
 }
 
 static int scd_block_media_changed(struct gendisk *disk)
diff -puN drivers/cdrom/cm206.c~RD1-cdrom_ioctl-B6 drivers/cdrom/cm206.c
--- 25/drivers/cdrom/cm206.c~RD1-cdrom_ioctl-B6	2003-12-16 20:36:07.000000000 -0800
+++ 25-akpm/drivers/cdrom/cm206.c	2003-12-16 20:36:10.000000000 -0800
@@ -1363,7 +1363,7 @@ static int cm206_block_release(struct in
 static int cm206_block_ioctl(struct inode *inode, struct file *file,
 				unsigned cmd, unsigned long arg)
 {
-	return cdrom_ioctl(&cm206_info, inode, cmd, arg);
+	return cdrom_ioctl(&cm206_info, inode->i_bdev, cmd, arg);
 }
 
 static int cm206_block_media_changed(struct gendisk *disk)
diff -puN drivers/cdrom/mcd.c~RD1-cdrom_ioctl-B6 drivers/cdrom/mcd.c
--- 25/drivers/cdrom/mcd.c~RD1-cdrom_ioctl-B6	2003-12-16 20:36:07.000000000 -0800
+++ 25-akpm/drivers/cdrom/mcd.c	2003-12-16 20:36:10.000000000 -0800
@@ -227,7 +227,7 @@ static int mcd_block_release(struct inod
 static int mcd_block_ioctl(struct inode *inode, struct file *file,
 				unsigned cmd, unsigned long arg)
 {
-	return cdrom_ioctl(&mcd_info, inode, cmd, arg);
+	return cdrom_ioctl(&mcd_info, inode->i_bdev, cmd, arg);
 }
 
 static int mcd_block_media_changed(struct gendisk *disk)
diff -puN drivers/cdrom/mcdx.c~RD1-cdrom_ioctl-B6 drivers/cdrom/mcdx.c
--- 25/drivers/cdrom/mcdx.c~RD1-cdrom_ioctl-B6	2003-12-16 20:36:07.000000000 -0800
+++ 25-akpm/drivers/cdrom/mcdx.c	2003-12-16 20:36:10.000000000 -0800
@@ -237,7 +237,7 @@ static int mcdx_block_ioctl(struct inode
 				unsigned cmd, unsigned long arg)
 {
 	struct s_drive_stuff *p = inode->i_bdev->bd_disk->private_data;
-	return cdrom_ioctl(&p->info, inode, cmd, arg);
+	return cdrom_ioctl(&p->info, inode->i_bdev, cmd, arg);
 }
 
 static int mcdx_block_media_changed(struct gendisk *disk)
diff -puN drivers/cdrom/sbpcd.c~RD1-cdrom_ioctl-B6 drivers/cdrom/sbpcd.c
--- 25/drivers/cdrom/sbpcd.c~RD1-cdrom_ioctl-B6	2003-12-16 20:36:07.000000000 -0800
+++ 25-akpm/drivers/cdrom/sbpcd.c	2003-12-16 20:36:10.000000000 -0800
@@ -5372,7 +5372,7 @@ static int sbpcd_block_ioctl(struct inod
 				unsigned cmd, unsigned long arg)
 {
 	struct sbpcd_drive *p = inode->i_bdev->bd_disk->private_data;
-	return cdrom_ioctl(p->sbpcd_infop, inode, cmd, arg);
+	return cdrom_ioctl(p->sbpcd_infop, inode->i_bdev, cmd, arg);
 }
 
 static int sbpcd_block_media_changed(struct gendisk *disk)
diff -puN drivers/ide/ide-cd.c~RD1-cdrom_ioctl-B6 drivers/ide/ide-cd.c
--- 25/drivers/ide/ide-cd.c~RD1-cdrom_ioctl-B6	2003-12-16 20:36:07.000000000 -0800
+++ 25-akpm/drivers/ide/ide-cd.c	2003-12-16 20:36:10.000000000 -0800
@@ -3367,7 +3367,7 @@ static int idecd_ioctl (struct inode *in
 	int err = generic_ide_ioctl(bdev, cmd, arg);
 	if (err == -EINVAL) {
 		struct cdrom_info *info = drive->driver_data;
-		err = cdrom_ioctl(&info->devinfo, inode, cmd, arg);
+		err = cdrom_ioctl(&info->devinfo, inode->i_bdev, cmd, arg);
 	}
 	return err;
 }
diff -puN drivers/scsi/sr.c~RD1-cdrom_ioctl-B6 drivers/scsi/sr.c
--- 25/drivers/scsi/sr.c~RD1-cdrom_ioctl-B6	2003-12-16 20:36:07.000000000 -0800
+++ 25-akpm/drivers/scsi/sr.c	2003-12-16 20:36:10.000000000 -0800
@@ -440,7 +440,7 @@ static int sr_block_ioctl(struct inode *
                 case SCSI_IOCTL_GET_BUS_NUMBER:
                         return scsi_ioctl(sdev, cmd, (void *)arg);
 	}
-	return cdrom_ioctl(&cd->cdi, inode, cmd, arg);
+	return cdrom_ioctl(&cd->cdi, inode->i_bdev, cmd, arg);
 }
 
 static int sr_block_media_changed(struct gendisk *disk)
diff -puN include/linux/cdrom.h~RD1-cdrom_ioctl-B6 include/linux/cdrom.h
--- 25/include/linux/cdrom.h~RD1-cdrom_ioctl-B6	2003-12-16 20:36:07.000000000 -0800
+++ 25-akpm/include/linux/cdrom.h	2003-12-16 20:36:07.000000000 -0800
@@ -778,7 +778,7 @@ struct cdrom_device_ops {
 /* the general block_device operations structure: */
 extern int cdrom_open(struct cdrom_device_info *, struct inode *, struct file *);
 extern int cdrom_release(struct cdrom_device_info *, struct file *);
-extern int cdrom_ioctl(struct cdrom_device_info *, struct inode *, unsigned, unsigned long);
+extern int cdrom_ioctl(struct cdrom_device_info *, struct block_device *, unsigned, unsigned long);
 extern int cdrom_media_changed(struct cdrom_device_info *);
 
 extern int register_cdrom(struct cdrom_device_info *cdi);

_
